package model

import (
	"fmt"

	"git.jiaxianghudong.com/go/logs"
	"git.jiaxianghudong.com/webs/pkg/dbx"
)

//AppsBanner 广告图
type AppsBanner struct {
	ID            string `json:"id" sql:"id"`                         //
	Acid          string `json:"ac_id" sql:"ac_id"`                   //跳转标识
	URL           string `json:"url" sql:"url"`                       //图片地址
	Opencondition string `json:"open_condition" sql:"open_condition"` //应用渠道
	Opentimes     string `json:"open_times" sql:"open_times"`         //时间
	Sort          string `json:"sort" sql:"sort"`                     //排序
	Istimeoffon   string `json:"istimeoffon" sql:"istimeoffon"`       //显示模式：1循环模式  2：指定模式
	Status        string `json:"status" sql:"status"`                 //0:下架  1上架
	Isdebug       string `json:"is_debug" sql:"is_debug"`             //1:测试  0正式
	LoginCount    string `json:"login_count" sql:"login_count"`       //1:测试  0正式
}

//GetBannerData 获取广告轮播列表
func GetBannerData() ([]AppsBanner, error) {
	var ab []AppsBanner
	sql := fmt.Sprintf("select * from `shop`.`apps_banner` where  status =1 ORDER BY id DESC")
	err := dbx.MySQLExt.Query2(sql, &ab)
	if err != nil {
		logs.Errorf(" select * from `shop`.`apps_banner` where  status =1 ORDER BY id DESC err:%v", err)
		return nil, err
	}

	return ab, nil
}
